#ifndef __SKYBOX__
#define __SKYBOX__

#include <stdlib.h>
#include "Vec3f.h"

class Camera;
class TextureObject;

class Skybox
{
public:

	Skybox( Camera* cam, float farplaneDistance);

	virtual ~Skybox();

	void update();
	void render();

	float getRadius();

protected:

	Camera* cam;

	float size;
	float farplane;

	Vec3f position;

	TextureObject* left;
	TextureObject* right;
	TextureObject* front;
	TextureObject* back;
	TextureObject* top;
	TextureObject* bottom;
};

#endif __SKYBOX__